/******************************************************************************
* Filename: Globtext.cpp
* Copyright (c) 2000, UAF Development Team (email CocoaSpud@hotmail.com)
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
******************************************************************************/
#include "..\Shared\stdafx.h"

#ifdef UAFEDITOR
#endif
#include "globtext.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//
// The text in this file is used by the editor to populate 
// dialog controls with text equivalent to various enums
//
// The engine does not use this text.
//

char *MathOperationText[] = {
  "No Operation",
  "Stored In",
  "Added To",
  "Subtracted From"
};

char *MultiItemCheckText[] = {
  "No Check",
  "All Items",
  "At Least 1 Item"
};

char *questAcceptText[] = {
  "Impossible",
  "On Yes",
  "On No",
  "On Yes or No",
  "Impossible (No Question)",
  "Automatic (No Question)"
};

char *EquipStartText[] = {
  "None",
  "Poor",
  "Modest",
  "Average",
  "Prosperous",
  "+1",
  "+2",
  "+3",
  "+4"
};

char *EventListText[] = {
	"No Event",
	"Add NPC",
	"Camp",
	"Chain",
	"Combat",
	"Combat Treasure",
	"Damage",
	"Encounter",
	"Enter Password",
	"Gain Experience",
	"Give Treasure",
	"Guided Tour",
	"Inn (Obsolete)",
	"NPC Says",
	"Pass Time",
	"Pick One Combat",
	"Quest Stage",
	"Question Button",
	"Question List",
	"Question Yes/No",
	"Remove NPC",
	"Shop",
	"Small Town",
	"Sounds",
	"Special Item",
	"Stairs",
	"Tavern",
	"Tavern Tales (Obsolete)",
	"Teleporter",
	"Temple",
	"Text Statement",
	"Training Hall",
	"Transfer Module",
	"Utilities",
	"Vault",
	"Who Pays",
	"Who Tries",
  "Take Party Items",
  "Heal Party",
  "Logic Block",
  "GPDL",
  "Random Event",
  "Play Movie",
  "Add To Journal"
};

int numEventListText = sizeof(EventListText)/sizeof(EventListText[0]);

char *TakeItemsQtyText[] = {
  "Specified",
  "Random",
  "Percent",
  "All"
};

char *TakeItemsAffectsText[] = {
  "All Characters",
  "Random Character",
  "Active Character",
};

char *DistanceText[] = {
  "Up Close",
  "Nearby",
	"Far Away"
};

char *FacingText[] = {
	"North",
	"East",
	"South",
	"West"
};

char *RelativeDirectionText[] = {
    "Front - North",  // Facing north
    "Right - East",
    "Rear - South",
    "Left - West",

    "Front - East",   // Facing east
    "Right - South",
    "Rear - West",
    "Left - North",

    "Front - South",  // Facing south
    "Right - West",
    "Rear - North",
    "Left - East",

    "Front - West",   // Facing west
    "Right - North",
    "Rear - East",
    "Left - South"
};



char *DirectionText[] = {
	"Any/All Side(s)",
	"North",
	"South",
	"East",
	"West",
	"North, South",
	"North, East",
	"North, West",
	"South, East",
	"South, West",
	"East,  West",
	"North, South, East",
	"North, South, West",
	"North, West,  East",
	"West,  South, East",
	"In Front Of"
};

char *SurpriseText[] = {
	"Neither",
	"Party",
	"Monster"
};

char *AffectsWhoText[] = {
	"None",
	"Entire Party",
	"Active Char",
	"One Char at Random",
	"Chance on each Char"
};

char *TurnModText[] = {
	"None",
	"Hard",
	"Difficult",
	"Impossible"
};

char *SaveVsText[] = {
	"Paralysis/Poison/Death Magic",
	"Petrification/Polymorph",
	"Rod/Staff/Wand",
	"Spell",
	"Breath Weapon"
};

char *SaveEffectText[] = {
	"No Save",
	"Save Negates",
	"Save for Half",
	"Use Player THACO"
};

char *spellClassText[] = {
   "Magic User",
   "Cleric"
};

char *spellDurationText[] = {
   "in rounds",
   "by damage taken",
   "in hours",
   "in days",
   "permanent",//"instantaneous"
   "by nbr attacks"
};

char *spellTargetingText[] = 
{
   "Self",
   "Selected by Count",
   "Whole Party",
   "Touched Targets",
   "Area: Circle",
   "Selected by Hit Dice",
   "Area: Line, Pick Start",
   "Area: Line, Pick End",
   "Area: Square",
   "Area: Cone"
};

char *spellCastingTimeText[] = 
{
  "Immediate",
  "Initiative",
  "Rounds",
  "Turns"
};

char *ButtonOptionText[] = {
	"No Result",
	"Decrease Range",
	"Combat, No Surprise",
	"Combat, Slow Party Surprised",
	"Combat, Slow Monsters Surprised",
	"Talk",
	"Escape if Fast Party, Else Combat",
	"Chain to Event"
};

char *ButtonPostChainOptionText[] = {
  "Do Nothing",
  "Return To Question",
  "Backup One Step"
};

char *ChainTriggerText[] = {
	"Always",
	"If Event Happens",
	"If Event does not happen"
};

char *EventTriggerText[] = {
	"Always",
	"Party has item",
	"Party not have item",
	"Daytime",
	"Nighttime",
	"Random Chance",
	"Party is Searching",
	"Party is not Searching",
	"Facing dir, only when arrive",
	"Quest is complete",
	"Quest failed",
	"Quest in Progress",
	"Party detecting traps",
	"Party not detecting traps",
	"Party can see invisible",
	"Party cannot see invisible",
	"Specific Class in Party",
	"Specific Class not in Party",
	"Specific Race in Party",
	"Specific Race not in Party",
  "Quest present in Party",
  "Quest not present in Party",
  "Gender in Party",
  "Gender is not in Party",
  "Facing dir, even after arrive",
  "NPC in Party",
  "NPC is not in Party",
  "Execute GPDL function",
  "Party has spell memorized",
  "Party at x,y"
};

char *RaceText[] = {
	"Human",
	"Elf",
	"Dwarf",
	"Gnome",
	"Half Elf",
	"Halfling"
};

/*
char *ClassText[] = {
	"Fighter",
	"Cleric",
	"Ranger",
	"Paladin",
	"Magic User",
	"Thief",
	"Druid",
  "Cleric/Fighter",
  "Cleric/Fighter/Magic User",
  "Cleric/Ranger",
  "Cleric/Magic User",
  "Cleric/Thief",
  "Fighter/Magic User",
  "Fighter/Thief",
  "Fighter/Magic User/Thief",
  "Magic User/Thief",
  "Fighter/Druid",
  "Druid/Magic User",
  "Fighter/Magic User/Druid"
};

*/

char *PasswordActionText[] = {
	"No Action",
	"Chain Event",
	"Teleport",
	"Backup one step"
};

const int NUM_PASSMATCH_TYPES = 3;

char *PasswordMatchText[] = {
	"Exact Match",
	"Pswd is substring of typed",
	"Typed is substring of pswd"
};

char *StepText[] = {
	"No Action",
  "Pause",
	"Forward",
	"Turn Left",
	"Turn Right"
};

char *BlockageText[] = {
  "Open",
  "Open, Secret",
  "Blocked",
  "False Door",
  "Locked",
  "Locked, Secret",
  "Locked, Wizard",
  "Locked, Wizard, Secret",
  "Locked, Key 1",
  "Locked, Key 2",
  "Locked, Key 3",
  "Locked, Key 4",
  "Locked, Key 5",
  "Locked, Key 6",
  "Locked, Key 7",
  "Locked, Key 8"
};

char *LocationCarriedText[] = {
  "Weapon Hand",
  "Shield Hand",
  "Body (Armor)",
  "Hands",
  "Head",
  "Waist",
  "Body (Robe)",
  "Back (Cloak)",
  "Feet",
  "Fingers",
  "Ammo Quiver",
  "Not Readied"
};

char *WeaponClassText[] = {
  "Not Weapon",
  "Hand held, blunt",
  "Hand held, cutting",
  "Hand held, thrown",
  "Sling (no ammo needed)",
  "Bow",
  "Crossbow",
  "Thrown",
  "Ammo",
  "Spell Caster"
};

char *spellAbilitiesText[] = 
{
   "None",
   "Bless",
   "Curse",
   "Fear, (Undead only)",
   "Enlarge",
   "Reduce",
   "Charm Person",
   "Detect Magic",
   "Reflect Gaze Attack",
   "Prot from Evil",
   "Prot from Good",
   "Shield",
   "Sleep",
   "Fog",
   "Entangle",
   "Invisible to Animals",
   "Invisible to Undead",
   "Fear, (except Undead)",
   "Sanctuary",
   "Shillelagh",
   "Displacement",
   "Wizardry",
   "Vorpal Attack",
   "Hold Person",
   "Silenced",
   "Poisoned",
   "Slow Poison",
   "Mirror Image",
   "Invisible",
   "Enfeebled",
   "Blinded",
   "Diseased"
};
/*
char *itemAbilitiesText[] = {
   "None",
   "Displacement",
   "Drow item",
   "Wizardry",
   "Hornets Nest",
   "Vorpal Weapon"
};
*/

char *alignmentText[] = {
   "Lawful Good",
   "Neutral Good",
   "Chaotic Good",
   "Lawful Neutral",
   "True Neutral",
   "Chaotic Neutral",
   "Lawful Evil",
   "Neutral Evil",
   "Chaotic Evil"
};

char *genderText[] = {
   "Male",
   "Female"
};

char *costFactorText[] = {
  "Free",
  "Div 100",
  "Div 50",
  "Div 20",
  "Div 10",
  "Div 5",
  "Div 4",
  "Div 3",
  "Div 2",
  "Div 1.5",
  "Normal",
  "Mult 1.5",
  "Mult 2",
  "Mult 3",
  "Mult 4",
  "Mult 5",
  "Mult 10",
  "Mult 20",
  "Mult 50",
  "Mult 100"
};

char *GlobalAVStyleText[] = 
{
  "Any View",
  "Area/Large View Only",
  "3D/Small View Only"
};

char *UndeadTypeText[] =
{
  "Not Undead",
  "Skeleton",
  "Zombie",
  "Ghoul",
  "Shadow",
  "Wight",
  "Ghast",
  "Wraith",
  "Mummy",
  "Spectre",
  "Vampire",
  "Ghost",
  "Lich",
  "Special"
};

char *SpecAbMsgText[] = 
{
  "None",
  "Begin Casting Spell",
  "Cast Spell",
  "Flee",
  "Turn Undead",
  "Bandage",
  "Guard",
  "Attack",
  "Move",
  "End Turn",
  "Delay Turn",
  "Ready Item"
};

